# IceGrid::ObserverAlreadyRegisteredException

## Overview

### exception ObserverAlreadyRegisteredException

This exception is raised if an observer is already registered with the registry.

#### Used By

AdminSession::setObservers
AdminSession::setObserversByIdentity

#### See Also

AdminSession::setObservers
AdminSession::setObserversByIdentity

## Data Members

::Ice::Identity id;

  The identity of the observer.